Search for people
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/people/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachProperties": [
"custom_property_1"
],
"filter": {
"operator": "AND",
"filters": [
{
"customProperty": {
"propertyType": "MULTI_SELECT",
"propertyGroup": "CUSTOM_PROPERTY",
"propertyName": "CUSTOM_PROPERTY",
"propertyId": "custom_property_1",
"operator": "CONTAINS",
"values": [
"custom_property_option_1"
]
}
}
]
},
"pageInfo": {
"size": 20
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/people/search"
payload = {
"attachProperties": ["custom_property_1"],
"filter": {
"operator": "AND",
"filters": [{ "customProperty": {
"propertyType": "MULTI_SELECT",
"propertyGroup": "CUSTOM_PROPERTY",
"propertyName": "CUSTOM_PROPERTY",
"propertyId": "custom_property_1",
"operator": "CONTAINS",
"values": ["custom_property_option_1"]
} }]
},
"pageInfo": { "size": 20 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attachProperties: ['custom_property_1'],
filter: {
operator: 'AND',
filters: [
{
customProperty: {
propertyType: 'MULTI_SELECT',
propertyGroup: 'CUSTOM_PROPERTY',
propertyName: 'CUSTOM_PROPERTY',
propertyId: 'custom_property_1',
operator: 'CONTAINS',
values: ['custom_property_option_1']
}
}
]
},
pageInfo: {size: 20}
})
};
fetch('https://api.rallyuxr.com/api/public/v1/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/people/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachProperties' => [
'custom_property_1'
],
'filter' => [
'operator' => 'AND',
'filters' => [
[
'customProperty' => [
'propertyType' => 'MULTI_SELECT',
'propertyGroup' => 'CUSTOM_PROPERTY',
'propertyName' => 'CUSTOM_PROPERTY',
'propertyId' => 'custom_property_1',
'operator' => 'CONTAINS',
'values' => [
'custom_property_option_1'
]
]
]
]
],
'pageInfo' => [
'size' => 20
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/people/search"
payload := strings.NewReader("{\n \"attachProperties\": [\n \"custom_property_1\"\n ],\n \"filter\": {\n \"operator\": \"AND\",\n \"filters\": [\n {\n \"customProperty\": {\n \"propertyType\": \"MULTI_SELECT\",\n \"propertyGroup\": \"CUSTOM_PROPERTY\",\n \"propertyName\": \"CUSTOM_PROPERTY\",\n \"propertyId\": \"custom_property_1\",\n \"operator\": \"CONTAINS\",\n \"values\": [\n \"custom_property_option_1\"\n ]\n }\n }\n ]\n },\n \"pageInfo\": {\n \"size\": 20\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rallyuxr.com/api/public/v1/people/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachProperties\": [\n \"custom_property_1\"\n ],\n \"filter\": {\n \"operator\": \"AND\",\n \"filters\": [\n {\n \"customProperty\": {\n \"propertyType\": \"MULTI_SELECT\",\n \"propertyGroup\": \"CUSTOM_PROPERTY\",\n \"propertyName\": \"CUSTOM_PROPERTY\",\n \"propertyId\": \"custom_property_1\",\n \"operator\": \"CONTAINS\",\n \"values\": [\n \"custom_property_option_1\"\n ]\n }\n }\n ]\n },\n \"pageInfo\": {\n \"size\": 20\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/people/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attachProperties\": [\n \"custom_property_1\"\n ],\n \"filter\": {\n \"operator\": \"AND\",\n \"filters\": [\n {\n \"customProperty\": {\n \"propertyType\": \"MULTI_SELECT\",\n \"propertyGroup\": \"CUSTOM_PROPERTY\",\n \"propertyName\": \"CUSTOM_PROPERTY\",\n \"propertyId\": \"custom_property_1\",\n \"operator\": \"CONTAINS\",\n \"values\": [\n \"custom_property_option_1\"\n ]\n }\n }\n ]\n },\n \"pageInfo\": {\n \"size\": 20\n }\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"personId": "<string>",
"email": "<string>",
"properties": [
{
"propertyType": "STRING",
"propertyId": "cm0b4eokq000vbbsimwelll3u",
"value": "Blue"
}
],
"populationIds": [
"<string>"
]
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
},
"errors": [
{
"errorCode": "UNAUTHORIZED",
"propertyId": "<string>"
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbiddenToo Many RequestsInternal Server ErrorPeople
Search for people
Search for people in your workspace. You can filter by studies, segments, and panels. Or just retrieve additional metadata about a list of person ids
POST
/
people
/
search
Search for people
curl --request POST \
--url https://api.rallyuxr.com/api/public/v1/people/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attachProperties": [
"custom_property_1"
],
"filter": {
"operator": "AND",
"filters": [
{
"customProperty": {
"propertyType": "MULTI_SELECT",
"propertyGroup": "CUSTOM_PROPERTY",
"propertyName": "CUSTOM_PROPERTY",
"propertyId": "custom_property_1",
"operator": "CONTAINS",
"values": [
"custom_property_option_1"
]
}
}
]
},
"pageInfo": {
"size": 20
}
}
'import requests
url = "https://api.rallyuxr.com/api/public/v1/people/search"
payload = {
"attachProperties": ["custom_property_1"],
"filter": {
"operator": "AND",
"filters": [{ "customProperty": {
"propertyType": "MULTI_SELECT",
"propertyGroup": "CUSTOM_PROPERTY",
"propertyName": "CUSTOM_PROPERTY",
"propertyId": "custom_property_1",
"operator": "CONTAINS",
"values": ["custom_property_option_1"]
} }]
},
"pageInfo": { "size": 20 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attachProperties: ['custom_property_1'],
filter: {
operator: 'AND',
filters: [
{
customProperty: {
propertyType: 'MULTI_SELECT',
propertyGroup: 'CUSTOM_PROPERTY',
propertyName: 'CUSTOM_PROPERTY',
propertyId: 'custom_property_1',
operator: 'CONTAINS',
values: ['custom_property_option_1']
}
}
]
},
pageInfo: {size: 20}
})
};
fetch('https://api.rallyuxr.com/api/public/v1/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rallyuxr.com/api/public/v1/people/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attachProperties' => [
'custom_property_1'
],
'filter' => [
'operator' => 'AND',
'filters' => [
[
'customProperty' => [
'propertyType' => 'MULTI_SELECT',
'propertyGroup' => 'CUSTOM_PROPERTY',
'propertyName' => 'CUSTOM_PROPERTY',
'propertyId' => 'custom_property_1',
'operator' => 'CONTAINS',
'values' => [
'custom_property_option_1'
]
]
]
]
],
'pageInfo' => [
'size' => 20
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.rallyuxr.com/api/public/v1/people/search"
payload := strings.NewReader("{\n \"attachProperties\": [\n \"custom_property_1\"\n ],\n \"filter\": {\n \"operator\": \"AND\",\n \"filters\": [\n {\n \"customProperty\": {\n \"propertyType\": \"MULTI_SELECT\",\n \"propertyGroup\": \"CUSTOM_PROPERTY\",\n \"propertyName\": \"CUSTOM_PROPERTY\",\n \"propertyId\": \"custom_property_1\",\n \"operator\": \"CONTAINS\",\n \"values\": [\n \"custom_property_option_1\"\n ]\n }\n }\n ]\n },\n \"pageInfo\": {\n \"size\": 20\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.rallyuxr.com/api/public/v1/people/search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attachProperties\": [\n \"custom_property_1\"\n ],\n \"filter\": {\n \"operator\": \"AND\",\n \"filters\": [\n {\n \"customProperty\": {\n \"propertyType\": \"MULTI_SELECT\",\n \"propertyGroup\": \"CUSTOM_PROPERTY\",\n \"propertyName\": \"CUSTOM_PROPERTY\",\n \"propertyId\": \"custom_property_1\",\n \"operator\": \"CONTAINS\",\n \"values\": [\n \"custom_property_option_1\"\n ]\n }\n }\n ]\n },\n \"pageInfo\": {\n \"size\": 20\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rallyuxr.com/api/public/v1/people/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attachProperties\": [\n \"custom_property_1\"\n ],\n \"filter\": {\n \"operator\": \"AND\",\n \"filters\": [\n {\n \"customProperty\": {\n \"propertyType\": \"MULTI_SELECT\",\n \"propertyGroup\": \"CUSTOM_PROPERTY\",\n \"propertyName\": \"CUSTOM_PROPERTY\",\n \"propertyId\": \"custom_property_1\",\n \"operator\": \"CONTAINS\",\n \"values\": [\n \"custom_property_option_1\"\n ]\n }\n }\n ]\n },\n \"pageInfo\": {\n \"size\": 20\n }\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"personId": "<string>",
"email": "<string>",
"properties": [
{
"propertyType": "STRING",
"propertyId": "cm0b4eokq000vbbsimwelll3u",
"value": "Blue"
}
],
"populationIds": [
"<string>"
]
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
},
"errors": [
{
"errorCode": "UNAUTHORIZED",
"propertyId": "<string>"
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}UnauthorizedForbiddenToo Many RequestsInternal Server ErrorAuthorizations
Body
application/json
Search for people
List of rally properties to include in the response. If this or blocklistInternalProperties is not included we will return all internal properties
Available options:
NAME, FIRST_NAME, LAST_NAME, EMAIL, PHONE, IMPORT_SOURCE, IMPORT_DATE, OPTED_OUT, LAST_CONTACT_DATE, TOTAL_SENT_LAST_YEAR, TOTAL_SENT_LAST_CALENDAR_YEAR, TOTAL_SENT_ALL_TIME, INVITED_TO_STUDY, INVITED_TO_STUDY_L30, INVITED_TO_STUDY_L90, INVITED_TO_STUDY_L365, TOTAL_NUMBER_OF_CONTACT, TOTAL_NUMBER_OF_CONTACT_L30, TOTAL_NUMBER_OF_CONTACT_L90, TOTAL_NUMBER_OF_CONTACT_L365, LAST_INTERVIEW_DATE, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED_L30, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED_L90, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED_L365, LAST_UNMOD_TEST_DATE, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED_L30, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED_L90, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED_L365, LAST_SURVEY_DATE, TOTAL_NUMBER_OF_SURVEYS_COMPLETED, TOTAL_NUMBER_OF_SURVEYS_COMPLETED_L30, TOTAL_NUMBER_OF_SURVEYS_COMPLETED_L90, TOTAL_NUMBER_OF_SURVEYS_COMPLETED_L365, CONTACT_STATUS, POPULATION_MEMBERSHIP, POPULATION_LIST_MEMBERSHIP, SIGNUP_REFERRAL_CODES, LAST_CHANGED_AT Example:
["NAME", "CONTACT_STATUS", "OPTED_OUT"]
List of rally properties to exclude from the response
Available options:
NAME, FIRST_NAME, LAST_NAME, EMAIL, PHONE, IMPORT_SOURCE, IMPORT_DATE, OPTED_OUT, LAST_CONTACT_DATE, TOTAL_SENT_LAST_YEAR, TOTAL_SENT_LAST_CALENDAR_YEAR, TOTAL_SENT_ALL_TIME, INVITED_TO_STUDY, INVITED_TO_STUDY_L30, INVITED_TO_STUDY_L90, INVITED_TO_STUDY_L365, TOTAL_NUMBER_OF_CONTACT, TOTAL_NUMBER_OF_CONTACT_L30, TOTAL_NUMBER_OF_CONTACT_L90, TOTAL_NUMBER_OF_CONTACT_L365, LAST_INTERVIEW_DATE, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED_L30, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED_L90, TOTAL_NUMBER_OF_INTERVIEWS_COMPLETED_L365, LAST_UNMOD_TEST_DATE, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED_L30, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED_L90, TOTAL_NUMBER_OF_UNMOD_TESTS_COMPLETED_L365, LAST_SURVEY_DATE, TOTAL_NUMBER_OF_SURVEYS_COMPLETED, TOTAL_NUMBER_OF_SURVEYS_COMPLETED_L30, TOTAL_NUMBER_OF_SURVEYS_COMPLETED_L90, TOTAL_NUMBER_OF_SURVEYS_COMPLETED_L365, CONTACT_STATUS, POPULATION_MEMBERSHIP, POPULATION_LIST_MEMBERSHIP, SIGNUP_REFERRAL_CODES, LAST_CHANGED_AT Response
Successfully retrieved people